--- title: "Get offers" slug: "generates-marketing-offers-for-orders-4" updated: 2026-02-02T16:56:58Z published: 2026-02-02T16:56:58Z canonical: "developer.upgrade.com/generates-marketing-offers-for-orders-4" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.upgrade.com/llms.txt > Use this file to discover all available pages before exploring further. # Get offers Post/flexpay/v1/marketing/offers SecurityHTTPType bearer Body parametersExpand Allobject List of orders. integrationIdstring Required Unique integration identifier. ExampleUP-12345678-9 orders Array of object (Order) Required List of orders. object Order details. addOns Array of object List of addons. object externalIdstring Unique addon identifier. namestring Addon name. pricestring Addon price in dollar format. Example100.13 agentobject (Agent) emailstring Agent's email address. billingContactobject (BillingContact) citystring Billing contact city. ExampleNew York City countrystring Billing contact country in 2-letter ISO 3166-2 country format. ExampleUS dateOfBirthstring Billing contact date of birth in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example1996-10-21 emailstring Billing contact email. firstNamestring Billing contact first name. lastNamestring Billing contact last name. middleNamestring Billing contact middle name. phonestring Billing contact phone number. Example5555551444 postalCodestring Billing contact numerical (US)/alpha-numerical (CA) postal or zip code. Example99999 regionstring Billing contact state/province in standard 2-letter format. ExampleKY streetAddressstring Billing contact street address. titlestring Billing contact title. Valid values[ "DR", "MISS", "MR", "MRS", "MS" ] campaigns Array of object (Campaign) Targeted subvention campaigns. object Targeted subvention campaigns. codestring Required Subvention campaign code. priority Subvention campaign priority. channelstring Request channel. Valid values[ "APP", "MOBILE_WEB", "WEB", "EMAIL" ] externalIdstring Optional unique order identifier localizationobject (Localization) Required Order localization details. countrystring Required 2-letter ISO 3166-2 country code. ExampleUS currencystring Required 3-letter ISO 4217 currency code. ExampleUSD localestring Required BCP 47 locale. Exampleen-US orderCategorystring Required Order category. Valid values[ "TOTAL", "INSURANCE", "ACTIVITY_OPTION", "ADDON_OPTION", "BAG_OPTION", "CAR_OPTION", "CRUISE_OPTION", "DECK_OPTION", "DEPARTURE_OPTION", "HOTEL_OPTION", "MEAL_OPTION", "RETURN_OPTION", "ROOM_OPTION", "SEAT_OPTION", "STATEROOM_OPTION" ] orderItems Array of object (OrderItem) Required A list of order reservations. Only one reservation is allowed per item. object Only one item type is allowed per item. Example{ "air": { "airlineName": "SY", "insurance": [], "tripType": "ROUNDTRIP", "itinerary": [ { "departureDate": "2025-02-28", "arrivalApc": "YVR", "departureApc": "SFO", "arrivalDate": "2025-02-28", "carrierCode": "SY", "fareClass": "Economy" } ] } }airobject (AirReservation) idstring | null Do not send or set to null in request. Example airlineNamestring Full airline name (recommended for third-party providers). destinationstring Destination airport code in IATA 3-letter format. ExampleJFK insurance Array of object (Insurance) Insurance details. object Insurance. externalIdstring Unique insurance identifier. pricestring Insurance price in dollar format. Example100.12 types Array of string List of insurance types. string Valid values[ "BANKRUPTCY", "CANCELLATION", "TRAVEL" ] itinerary Array of object (AirSegment) Required Reservation itinerary details. If there are multiple itinerary segments, order the segments chronologically (earliest to latest departureDate). object arrivalApcstring Required Arrival airport code in IATA 3-letter format. ExampleJFK arrivalCitystring Arrival city. ExampleNew York City arrivalDatestring Arrival date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 carrierCodestring Airline code in IATA 2-letter format. ExampleAI departureApcstring Required Departure airport code in IATA 3-letter format. ExampleLAX departureCitystring Departure city. ExampleLos Angeles departureDatestring Required Departure date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 ticketTypestring Ticket type. Valid values[ "DIGITAL", "PHONE", "PICK_UP", "POST" ] travelerRefs Array of object (PersonReference) List of traveler references. object Traveler index. idstring | null Do not send or set to null in request. Example indexstring Zero-based traveler index. Example0 fareClassstring Fare class type. Examplefirst class supplierstring Supplier name (recommended for third-party providers). Use the full airline name. originstring Origin airport code in IATA 3-letter format. ExampleJFK pricestring Total reservation amount in dollar format. Example100.13 reservationTypestring Reservation type. Valid values[ "OPAQUE", "PRE_PAID", "STANDARD" ] tripTypestring Trip type. Valid values[ "ONEWAY", "OPEN_JAW", "ROUNDTRIP" ] cruiseobject (CruiseReservation) Cruise reservation. idstring | null Do not send or set to null in request. Example addOns Array of object (CruiseAddon) List of cruise addons. object Cruise addon. namestring Addon name. pricestring Addon price in dollar format. Example100.13 brandstring Reservation brand name (recommended for third-party providers). Use full cruise line name. cruiseDurationstring Cruise duration in days. Example10 cruiseLinestring Cruise line name. disembarkDatestring Disembark date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 embarkDatestring Required Embark date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 insurance Array of object (Insurance) Insurance details. object Insurance. externalIdstring Unique insurance identifier. pricestring Insurance price in dollar format. Example100.12 types Array of string List of insurance types. string Valid values[ "BANKRUPTCY", "CANCELLATION", "TRAVEL" ] itinerary Array of object (CruiseSegment) Required Reservation itinerary. If there are multiple itinerary segments, order them chronologically (earliest to latest departureDate). object Cruise segment. activities Array of object (CruiseActivity) Booked reservation activities. object Cruise activity. datestring Activity date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 namestring Activity name. pricestring Activity price in dollar format. Example100.13 arrivalDatestring Scheduled arrival date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 arrivalPortstring Arrival port name. ExampleBahamas departureDatestring Required Departure date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 departurePortstring Departure port name. ExampleMiami rooms Array of object (CruiseCabin) List of cruise cabins. object Cruise cabin. berthedTypestring Cabin bed arrangement. cabinTypestring Cabin type. deckNumberstring Cabin stateroom deck number. diningServicestring Cabin dining service. stateRoomNumberstring Cabin stateroom number. stateRoomTypestring Cabin stateroom type. shipCodestring Ship code. supplierstring Supplier name (recommended for third-party providers). Use full cruise line name. ExampleCarnival travelerRefs Array of object (PersonReference) List of traveler references. object Traveler index. idstring | null Do not send or set to null in request. Example indexstring Zero-based traveler index. Example0 voyageIdstring Specific voyage identifier. eventTicketobject (EventTicket) Event ticket. idstring | null Do not send or set to null in request. Example endDatestring Event end date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 eventNamestring Event name. extras Array of object (Extra) List of event extras. object Extra. externalIdstring Unique extra identifier. namestring Extra name. pricestring Extra price in dollar format. Example100.13 hoststring Event host. insurance Array of object (Insurance) Insurance details. object Insurance. externalIdstring Unique insurance identifier. pricestring Insurance price in dollar format. Example100.12 types Array of string List of insurance types. string Valid values[ "BANKRUPTCY", "CANCELLATION", "TRAVEL" ] locationobject (Location) Location details. citystring ExampleLos Angeles countrystring 2-letter ISO 3166-2 country code ExampleUS postalCodestring Numerical (US)/alpha-numerical (CA) postal or zip code. Example99999 regionstring State/province in standard 2-letter format. ExampleCA streetAddressstring quantitystring Number of tickets purchased. Example1 travelerRefs Array of object (PersonReference) List of event attendee references. object Traveler index. idstring | null Do not send or set to null in request. Example indexstring Zero-based traveler index. Example0 referenceIdstring Event ticket reference identifier. startDatestring Required Event start date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 typestring Event type. unitPricestring Price per ticket in dollar format. Example100.13 venueNamestring Event venue name. orderLineobject (OrderLine) Product line. idstring | null Do not send or set to null in request. Example namestring Product name. quantitystring Product quantity. Example1 skustring Product SKU. typestring Product type. Valid values[ "DIGITAL", "DISCOUNT", "FEE", "GIFT_CARD", "PHYSICAL", "SALES_TAX", "SHIPPING_FEE", "STORE_CREDIT", "SURCHARGE", "TRAVEL" ] unitPricestring Product unit price in dollar format. Example100.13 referencestring Product reference information - use this field for any additional information to be captured for reporting. hotelobject (HotelReservation) Hotel reservation. idstring | null Do not send or set to null in request. Example brandstring Hotel brand name. checkInDatestring Required Check-in date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 checkOutDatestring Check-out date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 hotelNamestring Required Hotel name. insurance Array of object (Insurance) Insurance details. object Insurance. externalIdstring Unique insurance identifier. pricestring Insurance price in dollar format. Example100.12 types Array of string List of insurance types. string Valid values[ "BANKRUPTCY", "CANCELLATION", "TRAVEL" ] numberOfRoomsstring Reservation number of rooms. Example2 pricestring Reservation price in dollar format. Example100.13 propertyCodestring Hotel property code. reservationTypestring Reservation type. Valid values[ "OPAQUE", "PRE_PAID", "STANDARD" ] rateCodestring Hotel property rate code. roomTypestring Hotel property room type. supplierstring Supplier name (recommended for third-party providers). Use full hotel brand name. ticketTypestring Ticket type. Valid values[ "DIGITAL", "PHONE", "PICK_UP", "POST" ] travelerRefs Array of object (PersonReference) List of traveler references. object Traveler index. idstring | null Do not send or set to null in request. Example indexstring Zero-based traveler index. Example0 subscriptionobject (Subscription) Subscription. idstring | null Do not send or set to null in request. Example activeDatestring Required Subscription active date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 expireDatestring Subscription expiration date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 namestring Subscription name. travelerRefs Array of object (PersonReference) List of subscription recipients. object Traveler index. idstring | null Do not send or set to null in request. Example indexstring Zero-based traveler index. Example0 renewboolean Whether the subscription is automatic renewal. renewDatestring Subscription renew date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 purchaseSitestring Subscription purchase website. quantitystring Subscription quantity. Example1 typestring Subscription type. unitPricestring Price per subscription in dollar format. Example100.13 upgradedboolean Whether the purchase is an upgrade for an existing subscription. rentalobject (Rental) Rental. idstring | null Do not send or set to null in request. Example agencystring Rental agency name. endDatestring Rental end date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 extras Array of object (Extra) List of rental extras. object Extra. externalIdstring Unique extra identifier. namestring Extra name. pricestring Extra price in dollar format. Example100.13 insurance Array of object (Insurance) Insurance details. object Insurance. externalIdstring Unique insurance identifier. pricestring Insurance price in dollar format. Example100.12 types Array of string List of insurance types. string Valid values[ "BANKRUPTCY", "CANCELLATION", "TRAVEL" ] quantitystring Number of rental items. Example1 travelerRefs Array of object (PersonReference) List of renter references. object Traveler index. idstring | null Do not send or set to null in request. Example indexstring Zero-based traveler index. Example0 referenceIdstring Rental agency-specific reference ID. rentalItems Array of object (RentalItem) List of rental items. object Rental item details. namestring Item name. pricestring Item price in dollar format. Example100.13 startDatestring Required Rental start date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 typestring Rental type or item. unitPricestring Rental price per unit in dollar format. Example100.13 pathstring Location of the targeted display. ExampleMain booking path points Array of object (Points) Points details (e.g. loyalty). object Points. pointsTypestring Points type or category. pointsNamestring Points name. pointsUsedstring Number of points used. Example100 pointsRemainingstring Number of points remaining. Example10 originalOrderAmountstring Original order amount in dollar format. Example100.13 pricestring Required Total order amount in dollar format. Example1000.13 supplierCodestring Supplier code. ExampleSC-12345678-9 campaignAttributes Array of object (CampaignAttribute) List of targeted campaign attributes. object Optional targeted campaign attribute. namestring Required Campaign attribute name. Examplemerchant_field_1 valuestring Required Campaign attribute value. Examplesubvention travelers Array of object (Person) List of travelers. object Traveler details. idstring | null Do not send or set to null in request. Example firstNamestring lastNamestring titlestring Traveler title. Valid values[ "DR", "MISS", "MR", "MRS", "MS" ] dateOfBirthstring Traveler date of birth in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example1996-10-21 Responses200 Successful Expand Allobject List of orders. integrationIdstring Unique integration identifier. ExampleUP-12345678-9 orders Array of object (ResponseOrder) List of orders. object addOns Array of object List of addons. object externalIdstring Unique addon identifier. namestring Addon name. pricestring Addon price in dollar format. Example100.13 agentobject (Agent) emailstring Agent's email address. billingContactobject (BillingContact) citystring Billing contact city. ExampleNew York City countrystring Billing contact country in 2-letter ISO 3166-2 country format. ExampleUS dateOfBirthstring Billing contact date of birth in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example1996-10-21 emailstring Billing contact email. firstNamestring Billing contact first name. lastNamestring Billing contact last name. middleNamestring Billing contact middle name. phonestring Billing contact phone number. Example5555551444 postalCodestring Billing contact numerical (US)/alpha-numerical (CA) postal or zip code. Example99999 regionstring Billing contact state/province in standard 2-letter format. ExampleKY streetAddressstring Billing contact street address. titlestring Billing contact title. Valid values[ "DR", "MISS", "MR", "MRS", "MS" ] campaigns Array of object (Campaign) Targeted subvention campaigns. object Targeted subvention campaigns. codestring Subvention campaign code. priority Subvention campaign priority. channelstring Request channel. Valid values[ "APP", "MOBILE_WEB", "WEB", "EMAIL" ] externalIdstring Optional unique order identifier localizationobject (Localization) Order localization details. countrystring 2-letter ISO 3166-2 country code. ExampleUS currencystring 3-letter ISO 4217 currency code. ExampleUSD localestring BCP 47 locale. Exampleen-US orderCategorystring Order category. Valid values[ "TOTAL", "INSURANCE", "ACTIVITY_OPTION", "ADDON_OPTION", "BAG_OPTION", "CAR_OPTION", "CRUISE_OPTION", "DECK_OPTION", "DEPARTURE_OPTION", "HOTEL_OPTION", "MEAL_OPTION", "RETURN_OPTION", "ROOM_OPTION", "SEAT_OPTION", "STATEROOM_OPTION" ] orderItems Array of object (OrderItem) A list of order reservations. Only one reservation is allowed per item. object Only one item type is allowed per item. Example{ "air": { "airlineName": "SY", "insurance": [], "tripType": "ROUNDTRIP", "itinerary": [ { "departureDate": "2025-02-28", "arrivalApc": "YVR", "departureApc": "SFO", "arrivalDate": "2025-02-28", "carrierCode": "SY", "fareClass": "Economy" } ] } }airobject (AirReservation) idstring | null Do not send or set to null in request. Example airlineNamestring Full airline name (recommended for third-party providers). destinationstring Destination airport code in IATA 3-letter format. ExampleJFK insurance Array of object (Insurance) Insurance details. object Insurance. externalIdstring Unique insurance identifier. pricestring Insurance price in dollar format. Example100.12 types Array of string List of insurance types. string Valid values[ "BANKRUPTCY", "CANCELLATION", "TRAVEL" ] itinerary Array of object (AirSegment) Reservation itinerary details. If there are multiple itinerary segments, order the segments chronologically (earliest to latest departureDate). object arrivalApcstring Arrival airport code in IATA 3-letter format. ExampleJFK arrivalCitystring Arrival city. ExampleNew York City arrivalDatestring Arrival date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 carrierCodestring Airline code in IATA 2-letter format. ExampleAI departureApcstring Departure airport code in IATA 3-letter format. ExampleLAX departureCitystring Departure city. ExampleLos Angeles departureDatestring Departure date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 ticketTypestring Ticket type. Valid values[ "DIGITAL", "PHONE", "PICK_UP", "POST" ] travelerRefs Array of object (PersonReference) List of traveler references. object Traveler index. idstring | null Do not send or set to null in request. Example indexstring Zero-based traveler index. Example0 fareClassstring Fare class type. Examplefirst class supplierstring Supplier name (recommended for third-party providers). Use the full airline name. originstring Origin airport code in IATA 3-letter format. ExampleJFK pricestring Total reservation amount in dollar format. Example100.13 reservationTypestring Reservation type. Valid values[ "OPAQUE", "PRE_PAID", "STANDARD" ] tripTypestring Trip type. Valid values[ "ONEWAY", "OPEN_JAW", "ROUNDTRIP" ] cruiseobject (CruiseReservation) Cruise reservation. idstring | null Do not send or set to null in request. Example addOns Array of object (CruiseAddon) List of cruise addons. object Cruise addon. namestring Addon name. pricestring Addon price in dollar format. Example100.13 brandstring Reservation brand name (recommended for third-party providers). Use full cruise line name. cruiseDurationstring Cruise duration in days. Example10 cruiseLinestring Cruise line name. disembarkDatestring Disembark date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 embarkDatestring Embark date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 insurance Array of object (Insurance) Insurance details. object Insurance. externalIdstring Unique insurance identifier. pricestring Insurance price in dollar format. Example100.12 types Array of string List of insurance types. string Valid values[ "BANKRUPTCY", "CANCELLATION", "TRAVEL" ] itinerary Array of object (CruiseSegment) Reservation itinerary. If there are multiple itinerary segments, order them chronologically (earliest to latest departureDate). object Cruise segment. activities Array of object (CruiseActivity) Booked reservation activities. object Cruise activity. datestring Activity date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 namestring Activity name. pricestring Activity price in dollar format. Example100.13 arrivalDatestring Scheduled arrival date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 arrivalPortstring Arrival port name. ExampleBahamas departureDatestring Departure date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 departurePortstring Departure port name. ExampleMiami rooms Array of object (CruiseCabin) List of cruise cabins. object Cruise cabin. berthedTypestring Cabin bed arrangement. cabinTypestring Cabin type. deckNumberstring Cabin stateroom deck number. diningServicestring Cabin dining service. stateRoomNumberstring Cabin stateroom number. stateRoomTypestring Cabin stateroom type. shipCodestring Ship code. supplierstring Supplier name (recommended for third-party providers). Use full cruise line name. ExampleCarnival travelerRefs Array of object (PersonReference) List of traveler references. object Traveler index. idstring | null Do not send or set to null in request. Example indexstring Zero-based traveler index. Example0 voyageIdstring Specific voyage identifier. eventTicketobject (EventTicket) Event ticket. idstring | null Do not send or set to null in request. Example endDatestring Event end date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 eventNamestring Event name. extras Array of object (Extra) List of event extras. object Extra. externalIdstring Unique extra identifier. namestring Extra name. pricestring Extra price in dollar format. Example100.13 hoststring Event host. insurance Array of object (Insurance) Insurance details. object Insurance. externalIdstring Unique insurance identifier. pricestring Insurance price in dollar format. Example100.12 types Array of string List of insurance types. string Valid values[ "BANKRUPTCY", "CANCELLATION", "TRAVEL" ] locationobject (Location) Location details. citystring ExampleLos Angeles countrystring 2-letter ISO 3166-2 country code ExampleUS postalCodestring Numerical (US)/alpha-numerical (CA) postal or zip code. Example99999 regionstring State/province in standard 2-letter format. ExampleCA streetAddressstring quantitystring Number of tickets purchased. Example1 travelerRefs Array of object (PersonReference) List of event attendee references. object Traveler index. idstring | null Do not send or set to null in request. Example indexstring Zero-based traveler index. Example0 referenceIdstring Event ticket reference identifier. startDatestring Event start date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 typestring Event type. unitPricestring Price per ticket in dollar format. Example100.13 venueNamestring Event venue name. orderLineobject (OrderLine) Product line. idstring | null Do not send or set to null in request. Example namestring Product name. quantitystring Product quantity. Example1 skustring Product SKU. typestring Product type. Valid values[ "DIGITAL", "DISCOUNT", "FEE", "GIFT_CARD", "PHYSICAL", "SALES_TAX", "SHIPPING_FEE", "STORE_CREDIT", "SURCHARGE", "TRAVEL" ] unitPricestring Product unit price in dollar format. Example100.13 referencestring Product reference information - use this field for any additional information to be captured for reporting. hotelobject (HotelReservation) Hotel reservation. idstring | null Do not send or set to null in request. Example brandstring Hotel brand name. checkInDatestring Check-in date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 checkOutDatestring Check-out date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 hotelNamestring Hotel name. insurance Array of object (Insurance) Insurance details. object Insurance. externalIdstring Unique insurance identifier. pricestring Insurance price in dollar format. Example100.12 types Array of string List of insurance types. string Valid values[ "BANKRUPTCY", "CANCELLATION", "TRAVEL" ] numberOfRoomsstring Reservation number of rooms. Example2 pricestring Reservation price in dollar format. Example100.13 propertyCodestring Hotel property code. reservationTypestring Reservation type. Valid values[ "OPAQUE", "PRE_PAID", "STANDARD" ] rateCodestring Hotel property rate code. roomTypestring Hotel property room type. supplierstring Supplier name (recommended for third-party providers). Use full hotel brand name. ticketTypestring Ticket type. Valid values[ "DIGITAL", "PHONE", "PICK_UP", "POST" ] travelerRefs Array of object (PersonReference) List of traveler references. object Traveler index. idstring | null Do not send or set to null in request. Example indexstring Zero-based traveler index. Example0 subscriptionobject (Subscription) Subscription. idstring | null Do not send or set to null in request. Example activeDatestring Subscription active date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 expireDatestring Subscription expiration date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 namestring Subscription name. travelerRefs Array of object (PersonReference) List of subscription recipients. object Traveler index. idstring | null Do not send or set to null in request. Example indexstring Zero-based traveler index. Example0 renewboolean Whether the subscription is automatic renewal. renewDatestring Subscription renew date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 purchaseSitestring Subscription purchase website. quantitystring Subscription quantity. Example1 typestring Subscription type. unitPricestring Price per subscription in dollar format. Example100.13 upgradedboolean Whether the purchase is an upgrade for an existing subscription. rentalobject (Rental) Rental. idstring | null Do not send or set to null in request. Example agencystring Rental agency name. endDatestring Rental end date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 extras Array of object (Extra) List of rental extras. object Extra. externalIdstring Unique extra identifier. namestring Extra name. pricestring Extra price in dollar format. Example100.13 insurance Array of object (Insurance) Insurance details. object Insurance. externalIdstring Unique insurance identifier. pricestring Insurance price in dollar format. Example100.12 types Array of string List of insurance types. string Valid values[ "BANKRUPTCY", "CANCELLATION", "TRAVEL" ] quantitystring Number of rental items. Example1 travelerRefs Array of object (PersonReference) List of renter references. object Traveler index. idstring | null Do not send or set to null in request. Example indexstring Zero-based traveler index. Example0 referenceIdstring Rental agency-specific reference ID. rentalItems Array of object (RentalItem) List of rental items. object Rental item details. namestring Item name. pricestring Item price in dollar format. Example100.13 startDatestring Rental start date in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example2026-10-12 typestring Rental type or item. unitPricestring Rental price per unit in dollar format. Example100.13 pathstring Location of the targeted display. ExampleMain booking path points Array of object (Points) Points details (e.g. loyalty). object Points. pointsTypestring Points type or category. pointsNamestring Points name. pointsUsedstring Number of points used. Example100 pointsRemainingstring Number of points remaining. Example10 originalOrderAmountstring Original order amount in dollar format. Example100.13 pricestring Total order amount in dollar format. Example1000.13 supplierCodestring Supplier code. ExampleSC-12345678-9 campaignAttributes Array of object (CampaignAttribute) List of targeted campaign attributes. object Optional targeted campaign attribute. namestring Campaign attribute name. Examplemerchant_field_1 valuestring Campaign attribute value. Examplesubvention travelers Array of object (Person) List of travelers. object Traveler details. idstring | null Do not send or set to null in request. Example firstNamestring lastNamestring titlestring Traveler title. Valid values[ "DR", "MISS", "MR", "MRS", "MS" ] dateOfBirthstring Traveler date of birth in YYYY-MM-DD format. Pattern/([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/Example1996-10-21 idstring | null Example offers Array of object (Offer) | null List of offers for the order. object Offer details. aprstring Offer APR (0.1532 = 15.32%). Example0.1532 marketingContent Array of object (MarketingItem) List of offer marketing content. object localestring Item locale. Exampleen-US headerstring Infomodal and tooltip header. ExampleJust select Pay Monthly at checkout to pay over time, from $x.xx/mo* subheaderstring Infomodal and tooltip subheader. ExampleBuy now. Pay over time. Feel good about how you pay. configuredSubheaderstring Optional configured infomodal and tooltip subheader. steps Array of object (Step) List of infomodal steps. object indexstring Step index. Example0 bodystring Step copy. ExampleAdd your itinerary to cart iconstring Step icon code. Exampleshopping_cart disclaimerstring Infomodal and tooltip disclaimer. faqsobject (Faqs) FAQs. headerstring FAQ header. ExampleFrequently Asked Questions openstring FAQ open button text. ExampleFAQ backstring FAQ back button text. ExampleBack items Array of object (FaqItem) List of FAQ items. object FAQ item. typestring FAQ type. Valid values[ "GENERAL", "PAYMENTS" ] titlestring FAQ title. ExampleGeneral questions Array of object (FaqQuestion) List of FAQ questions and answers. object FAQ question and answer. indexstring Question index Example0 titlestring FAQ question ExampleIs this an installment loan? bodystring FAQ answer ExampleYes, all loans through Uplift are installment loans, which means you repay the loan over time with a set number of scheduled payments. Some plans include interest while some are interest-free. Your payments are the same amount over the life of the loan and you can pay off your loan at any time without paying a penalty or fee. downPaymentstring Down payment in dollar format. Example105.68 financeChargesstring Finance charges in dollar format. Example56.81 grandTotalstring Total cost of the transaction in dollar format. Example1056.80 maxAprstring Maximum APR possible for the corresponding order (0.36 = 36%). Example0.36 minAprstring Minimum APR possible for the corresponding order (0.07 = 7%). Example0.07 minFilterAmountstring Minimum order amount required for an offer in dollar format. Example49.00 monthlyPaymentstring Monthly payment amount in dollar format. Example105.68 numberOfPaymentsstring Number of payments in months. Example9 originationFeestring Origination fee in dollar format. Example0 pricestring Order price in dollar format. Example999.99 principalstring Price of the order less the down payment in dollar format. Example894.31 promos Array of string Potential offer promotions. string Valid values[ "ZERO_PERCENT_GUARANTEED", "ZERO_PERCENT_AT_LEAST_ONE", "ZERO_PERCENT_VARIABLE", "ZERO_DOWN_GUARANTEED", "ZERO_DOWN_VARIABLE", "THREE_MONTH_DELAYED", "SIX_MONTH_DELAYED" ] totalPaymentsstring Grand total less the down payment in dollar format. Example951.12 errorCodes Array of string (OrderErrorCodes) | null List of error codes when attempting to generate an offer. string Possible error codes when attempting to generate offers for an order. Valid values[ "INVALID_AIR_RESERVATION", "INVALID_BILLING_CONTACT", "INVALID_COUNTRY", "INVALID_CURRENCY", "INVALID_LOCALE", "MAX_BOOKING_WINDOW", "MAX_PRICE", "MIN_BOOKING_WINDOW", "MIN_PRICE", "MISSING_PRODUCT", "MISSING_TRAVEL_RESERVATION", "NO_OFFERS" ] 400 Bad Request object codeNamestring ExampleINVALID_REQUEST_ERROR messagestring Examplefield required statusCodeinteger Example400 paramstring Examplebody.integrationId 401 Unauthorized object codeNamestring ExampleINVALID_REQUEST_ERROR messagestring ExampleUnauthorized statusCodeinteger Example401 403 Access Denied object codeNamestring ExampleINVALID_REQUEST_ERROR messagestring ExampleAccess Denied statusCodeinteger Example403 405 Method Not Allowed object codeNamestring ExampleINVALID_REQUEST_ERROR messagestring ExampleMethod Not Allowed statusCodeinteger Example405 408 Request Timeout object codeNamestring ExampleAPI_TIMEOUT messagestring ExampleRequest Timeout statusCodeinteger Example408 500 Internal Server Error object codeNamestring ExampleAPI_ERROR messagestring ExampleInternal Server Error statusCodeinteger Example500